Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.localsearch
Interface LocalSearchSolverLifecycleListener

All Known Subinterfaces:
  Acceptor, Decider, DeciderScoreComparatorFactory, Forager, MoveFactory, Selector, Termination

All Known Implementing Classes:
  AbstractAcceptor, AbstractCompositeTermination, AbstractDeciderScoreComparatorFactory, AbstractForager, AbstractMoveFactory, AbstractSelector, AbstractTabuAcceptor, AbstractTermination, AcceptedForager, AndCompositeTermination, CachedMoveFactory, CompositeAcceptor, CompositeSelector, DefaultDecider, DefaultLocalSearchSolver, GreatDelugeAcceptor, LegacySimulatedAnnealingAcceptor, MoveFactorySelector, MoveTabuAcceptor, NaturalDeciderScoreComparatorFactory, OrCompositeTermination, PropertyTabuAcceptor, ScoreAttainedTermination, ShiftingHardPenaltyDeciderScoreComparatorFactory, SimulatedAnnealingAcceptor, SolutionTabuAcceptor, StepCountTermination, TimeMillisSpendTermination, TopListSelector, UnimprovedStepCountTermination

    public interface LocalSearchSolverLifecycleListener

Method Summary
`void` | `beforeDeciding(LocalSearchStepScope localSearchStepScope)`
`void` | `solvingEnded(LocalSearchSolverScope localSearchSolverScope)`
`void` | `solvingStarted(LocalSearchSolverScope localSearchSolverScope)`
`void` | `stepDecided(LocalSearchStepScope localSearchStepScope)`
`void` | `stepTaken(LocalSearchStepScope localSearchStepScope)`

Method Detail

### solvingStarted

    void solvingStarted(LocalSearchSolverScope localSearchSolverScope)

### beforeDeciding

    void beforeDeciding(LocalSearchStepScope localSearchStepScope)

### stepDecided

    void stepDecided(LocalSearchStepScope localSearchStepScope)

### stepTaken

    void stepTaken(LocalSearchStepScope localSearchStepScope)

### solvingEnded

    void solvingEnded(LocalSearchSolverScope localSearchSolverScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss Inc.. All Rights Reserved.